require "rails_helper"

#The register, login, and logout routes
RSpec.describe "Users sign up process routing", :type => :routing do
	routes { People::Engine.routes }

	it "routes to register" do
		expect(:post => "/api/1/authentication/register").to route_to(
			:controller => "people/api/v1/authentication",
			:action => "register"
		)
	end
	it "routes to login" do
		expect(:post => "/api/1/authentication/login").to route_to(
			:controller => "people/api/v1/authentication",
			:action => "login"
		)
	end
	it "routes to logout" do
		expect(:post => "/api/1/authentication/logout").to route_to(
			:controller => "people/api/v1/authentication",
			:action => "logout"
		)
	end
	it "routes to authenticate" do
		expect(:post => "/api/1/authentication/authenticate").to route_to(
			:controller => "people/api/v1/authentication",
			:action => "authenticate"
		)
	end
	it "routes to login_status" do
		expect(:get => "/api/1/authentication/login_status").to route_to(
			:controller => "people/api/v1/authentication",
			:action => "login_status"
		)
	end
end