class CreatePeopleUsers < ActiveRecord::Migration
  def change
    create_table :people_users do |t|
      t.string :username
      t.string :email
      t.string :password_digest

      t.timestamps
    end
    add_index :people_users, :username, unique: true
    add_index :people_users, :email, unique: true
  end
end
