require "rails_helper"

RSpec.describe ::People::EmailHash, '.email_type', :type => :model do
	it "does not save when nil" do
		email_hash = FactoryGirl.build(:people_email_hash, :email_type => nil)
		expect(email_hash.save).to equal(false)
	end
end
RSpec.describe ::People::EmailHash, '.user_id', :type => :model do
	it "does not save when nil" do
		email_hash = FactoryGirl.build(:people_email_hash, :user_id => nil)
		expect(email_hash.save).to equal(false)
	end
end