module People
	class TestsGenerator < Rails::Generators::Base
  	source_root File.expand_path('../templates', __FILE__)

		def sprint
			copy_test_files_over
		end

		private

	    def copy_test_files_over
	    	template "factory.rb", "spec/factories/people_user_1_factory.rb"
	    	template "models.rb", "spec/engines/people/api/v1/models/user_spec.rb"
	    	template "requests.rb", "spec/engines/people/api/v1/requests/user_spec.rb"
	    	template "routing.rb", "spec/engines/people/api/v1/routing/user_spec.rb"
	    	template "authentication_requests.rb", "spec/engines/people/api/v1/requests/authentication_spec.rb"
	    	template "authentication_routing.rb", "spec/engines/people/api/v1/routing/authentication_spec.rb"
	    	template "email_hash_factory.rb", "spec/factories/people_email_hash_factory.rb"
	    	template "email_hash_model.rb", "spec/engines/people/models/email_hash_spec.rb"
	    	template "email_hash_request.rb", "spec/engines/people/requests/email_hash_spec.rb"
	    	template "account_routing.rb", "spec/engines/people/routing/account_spec.rb"
	    end

  end
end
